
QGIS Application - Bug report #21177

issue importing dwg to geopackage

2019-02-05 06:10 PM - Jean-Pierre Beaudoin

Status: Closed

Priority: Normal

Assignee:

Category: DWG/DXF import

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28995

Description

sorry of the my english

Hello

I found on the documentation forum to import dwg from geopackage

https://github.com/DelazJ/QGIS-Documentation/blob/f107ed2e0e29a3c1ede0a0ac44827e3dc48d6757/source/docs/user_manual/man

ging_data_source/opening_data.rst#importing-a-dxf-or-dwg-file

but I have this error can you help me

see Attachment

i have an error

thank you!

in french

bonjour 

j'ai trouvé sur le forum de la documentation pour importer dwg a partir de geopackage

https://github.com/DelazJ/QGIS-Documentation/blob/f107ed2e0e29a3c1ede0a0ac44827e3dc48d6757/source/docs/user_manual/man

ging_data_source/opening_data.rst#importing-a-dxf-or-dwg-file

mais j'ai cette erreur pouvez-vous m'aider

voir pièce jointe

J'ai une erreur

merci!

Associated revisions

Revision 355deb59 - 2019-02-19 07:56 PM - Jürgen Fischer

dwg import: fix exception (fixes #21177)

Revision fb81ce68 - 2019-02-26 09:09 AM - Jürgen Fischer

backport dwg import fixes

fec20ae0e  dwg import: less noisy noise reduction

3aa2d9ff9  dwg import: catch spline misinterpretation (fixes #20392)

1a96982d3  dwg import: fix handling of arc and splines in hatches

6090a932c  dwg import: less noisy debugging

92e7faab6  dwg/dxf import: fix angle and alignment handing of (m)texts

0f6421df5  dwg import: use Q_DECLARE_TR_FUNCTIONS in QgsDwgImporter
f12cac7cb  dwg import: progress display

e1562a7f1  dwg import: support dxf encoding (fixes #15999)

b8c727f1d  dwg import: force polyline and hatch/ring continuity

355deb590  dwg import: fix exception (fixes #21177)

d84c34e0b  dwg import: support nested blocks (refs #20392)

fd15c3e5b  dwg import: handle wrong hatch interpretation (refs #20392)

History

#1 - 2019-02-07 11:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please try 3.4.4 and also attach your dwg if the problem persist.

#2 - 2019-02-07 05:07 PM - Jean-Pierre Beaudoin

- File qgis.JPG added

- File fond st-mathieu-parc (200).dwg added

- File a propos.JPG added

- File dwg.JPG added

Giovanni Manghi wrote:

Please try 3.4.4 and also attach your dwg if the problem persist.

i have set 32198 on my dwg and my qgis 3.4.4 

i have the same problem

check my dwg in attach 

please destroy file dwg

regards,

#3 - 2019-02-07 05:08 PM - Giovanni Manghi

- Subject changed from geopackage import dwg to issue importing dwg to geopackage

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.4.1 to 3.4.4

#4 - 2019-02-12 03:27 PM - Jean-Pierre Beaudoin

- Assignee changed from Jürgen Fischer to Giovanni Manghi

Jean-Pierre Beaudoin wrote:

Giovanni Manghi wrote:

Please try 3.4.4 and also attach your dwg if the problem persist.

i have set 32198 on my dwg and my qgis 3.4.4 
i have the same problem

check my dwg in attach 

please destroy file dwg

regards,

today 12febuary2019

do you have any development on my problem!

regards

#5 - 2019-02-12 03:28 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

today 12febuary2019

do you have any development on my problem!

is a question? if yes it does not work like that.

#6 - 2019-02-12 09:26 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#7 - 2019-02-19 07:58 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|355deb5905861f263ae7bb03d2bc6fcea4ce5096.

#8 - 2019-02-22 02:53 PM - Jean-Pierre Beaudoin

- Status changed from Closed to Reopened

- Assignee changed from Jürgen Fischer to Giovanni Manghi

Hello

Can you describe me if I have to re-install the software or ...

I would like some details ... because I do not understand what I have to do to solve the problem

Thank you!

#9 - 2019-02-22 04:09 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Assignee deleted (Giovanni Manghi)

#10 - 2019-02-22 04:10 PM - Giovanni Manghi
Jean-Pierre Beaudoin wrote:

Hello

Can you describe me if I have to re-install the software or ...

I would like some details ... because I do not understand what I have to do to solve the problem

wait the next release that will include the fix or if you can't wait then install qgis dev/master using the osgeo4w installer (if you are using Windows).

#11 - 2019-02-25 03:42 PM - Jean-Pierre Beaudoin

- File 32188 cad.JPG added

- File 2013fond St-Élie-de-Caxton lot 1000.dwg added

- Assignee set to Giovanni Manghi

- Status changed from Closed to Reopened

- File 3.4.5.JPG added

- File 32188 qgis.JPG added

Thank you

we have download your version 3.4.5

But i same error with 3.4.5

check joint files

#12 - 2019-02-25 08:55 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

Jean-Pierre Beaudoin wrote:

Thank you

we have download your version 3.4.5

But i same error with 3.4.5

check joint files

the fix in in 3.6, not sure it will be backported in 3.4

Files

Capture111.JPG 90.9 KB 2019-02-05 Jean-Pierre Beaudoin

fond st-mathieu-parc (200).dwg 2.32 MB 2019-02-07 Jean-Pierre Beaudoin

a propos.JPG 91.6 KB 2019-02-07 Jean-Pierre Beaudoin

dwg.JPG 106 KB 2019-02-07 Jean-Pierre Beaudoin

qgis.JPG 127 KB 2019-02-07 Jean-Pierre Beaudoin

3.4.5.JPG 55.9 KB 2019-02-25 Jean-Pierre Beaudoin
32188 qgis.JPG 82.8 KB 2019-02-25 Jean-Pierre Beaudoin

32188 cad.JPG 56.1 KB 2019-02-25 Jean-Pierre Beaudoin

2013fond St-Élie-de-Caxton lot 1000.dwg 3.66 MB 2019-02-25 Jean-Pierre Beaudoin
